Subject: Re: [PATCH 2/3] git-add--interactive: remove hunk coalescing

From: Junio C Hamano <[email-masked]>
Date: Wed, 02 Jul 2008 15:35:48 -0700

Junio C Hamano <[email-masked]> writes:

> Blindly concatenating the above two and feeding them to "git apply" *may*
> happen to work by accident, not by design.  This very much feels like a
> hack of "This works most of the time for me, your mileage may vary" kind,
> which we would want to avoid when we can.

Well, I changed my mind.  Let's run with this and see what happens.

The patch application is hunk-by-hunk in nature anyway, and if the user
munges the trailing context of the first half of an originally-single hunk
and the leading context of the latter half in an inconsistent way, we
would notice the problem anyway.